Subject: Deodorant rock ?

From: [email-masked] (Coral B Swereda)
Date: 4 Oct 1995 05:08:09 GMT

Bauxite is, according to my dictionary, 'an impure mixture of earthy 
hydrous aluminum oxides and hydroxides... and is the principal source of 
aluminum.'  Alzheimer's is in my family, so I try to watch out for these 
things, too.

:)  Coral